#!/usr/bin/env python

# TQt tutorial 4.

import sys
from PyTQt import tqt


class MyWidget(tqt.TQWidget):
    def __init__(self, parent=None, name=None):
        tqt.TQWidget.__init__(self, parent, name)

        self.setMinimumSize(200, 120)
        self.setMaximumSize(200, 120)

        quit = tqt.TQPushButton("Quit", self, "quit")
        quit.setGeometry(62, 40, 75, 30)
        quit.setFont(tqt.TQFont("Times", 18, tqt.TQFont.Bold))

        self.connect(quit, tqt.TQ_SIGNAL("clicked()"), tqt.tqApp, tqt.TQ_SLOT("quit()"))


a = tqt.TQApplication(sys.argv)

w = MyWidget()
w.setGeometry(100, 100, 200, 120)
a.setMainWidget(w)
w.show()
sys.exit(a.exec_loop())
